Package org.eclipse.launchbar.core

# Class ProjectLaunchConfigProvider

java.lang.Object
org.eclipse.launchbar.core.AbstractLaunchConfigProvider
org.eclipse.launchbar.core.ProjectLaunchConfigProvider

All Implemented Interfaces:
  `ILaunchConfigurationProvider`

public abstract class ProjectLaunchConfigProvider extends AbstractLaunchConfigProvider

## Constructor Summary

Constructors
Constructor
Description
`ProjectLaunchConfigProvider()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.debug.core.ILaunchConfiguration`
`getLaunchConfiguration(ILaunchDescriptor descriptor, ILaunchTarget target)`
Create a launch configuration for the descriptor to launch on the target.
`boolean`
`launchConfigurationAdded(org.eclipse.debug.core.ILaunchConfiguration configuration)`
A launch configuration has been added.
`boolean`
`launchConfigurationChanged(org.eclipse.debug.core.ILaunchConfiguration configuration)`
A launch configuration has been changed.
`boolean`
`launchConfigurationRemoved(org.eclipse.debug.core.ILaunchConfiguration configuration)`
A launch configuration has been removed.
`void`
`launchDescriptorRemoved(ILaunchDescriptor descriptor)`
A launch descriptor has been removed.
`void`
`launchTargetRemoved(ILaunchTarget target)`
A launch target has been removed.
`protected void`
`populateLaunchConfiguration(ILaunchDescriptor descriptor, ILaunchTarget target, org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)`

### Methods inherited from class org.eclipse.launchbar.core.AbstractLaunchConfigProvider

`createLaunchConfiguration, launchDescriptorMatches, ownsLaunchConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.launchbar.core.ILaunchConfigurationProvider

`getLaunchConfigurationType, supports`

## Constructor Details

### ProjectLaunchConfigProvider

public ProjectLaunchConfigProvider()

## Method Details

### getLaunchConfiguration

public org.eclipse.debug.core.ILaunchConfiguration getLaunchConfiguration(ILaunchDescriptor descriptor, ILaunchTarget target) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchConfigurationProvider`
Create a launch configuration for the descriptor to launch on the target.

Parameters:
  `descriptor` - the descriptor to create the config for
  `target` - the target to launch the config on
Returns:
  launch configuration
Throws:
  `org.eclipse.core.runtime.CoreException`

### populateLaunchConfiguration

protected void populateLaunchConfiguration(ILaunchDescriptor descriptor, ILaunchTarget target, org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy) throws org.eclipse.core.runtime.CoreException

Overrides:
  `populateLaunchConfiguration` in class `AbstractLaunchConfigProvider`
Throws:
  `org.eclipse.core.runtime.CoreException`

### launchConfigurationAdded

public boolean launchConfigurationAdded(org.eclipse.debug.core.ILaunchConfiguration configuration) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchConfigurationProvider`
A launch configuration has been added. Provider can inspect it and associate with internal map. Provider should make sure it owns this launch configuration or it can modify it to take over.

Returns:
  true of provider owns this launch configuration
Throws:
  `org.eclipse.core.runtime.CoreException`

### launchConfigurationRemoved

public boolean launchConfigurationRemoved(org.eclipse.debug.core.ILaunchConfiguration configuration) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchConfigurationProvider`
A launch configuration has been removed. This notification can be used to purge internal cache for example. This method is called after launch configuration has been removed from file system, so accessing its attributes won't work. If provider cannot determine if it owns it it should return false.

Parameters:
  `configuration` -
Returns:
  true if provider owns this launch configuration
Throws:
  `org.eclipse.core.runtime.CoreException`

### launchConfigurationChanged

public boolean launchConfigurationChanged(org.eclipse.debug.core.ILaunchConfiguration configuration) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchConfigurationProvider`
A launch configuration has been changed. Provider can inspect it to re-evaluate its internal map. Provider should make sure it owns this launch configuration or it can modify it to take over.

Returns:
  true of provider owns this launch configuration
Throws:
  `org.eclipse.core.runtime.CoreException`

### launchDescriptorRemoved

public void launchDescriptorRemoved(ILaunchDescriptor descriptor) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchConfigurationProvider`
A launch descriptor has been removed. Remove any launch configurations that were created for it.

Parameters:
  `descriptor` -
Throws:
  `org.eclipse.core.runtime.CoreException`

### launchTargetRemoved

public void launchTargetRemoved(ILaunchTarget target) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchConfigurationProvider`
A launch target has been removed. Remove any launch configurations that were created for it.

Parameters:
  `target` -
Throws:
  `org.eclipse.core.runtime.CoreException`